main {
	display: grid;
	max-width: 1200px;
	grid-template-columns: repeat(8, auto);
}

main>label {
	background: #fff;
	padding: 4px 8px;
	text-align: center;
	border-radius: 4px;
	grid-column: -3 / -1;
}

.enseignant {
	background: #fff;
	display: grid;
	grid-column: 1 / -1;
	grid-template-columns: subgrid;
	gap: 1px;
	align-items: center;
	border: 1px solid #aaa;
}
.composante{
	padding: 4px 16px;
	flex: none;
}
.nom {
	padding: 4px 0;
	flex: none;
}
.service,
.decharge,
.plafond{
	text-align: center;
	margin-right: 16px;
}
.validEnseignant,
.validRA,
.validDirection {
	outline: 1px solid #aaa;
	padding: 4px 16px;
	align-self: stretch;
	display: flex;
	justify-content: center;
	align-items: center;
}

.validé {
	background: #0c9;
}
.probleme {
	background:#ec7068;
	color: #FFF;
}
[type=number]{
    width: 58px;
    text-align: right;
	pointer-events: none;
}
.lock{
	margin-left: 16px;
	cursor: pointer;
}
.lock::before {
	content: url("../img/openLock.svg");
}
.lock.verrouillé::before {
	content: url("../img/closeLock.svg");
}

.composante>img{
	width: 20px;
	background: #fff;
	border-radius: 4px;
}
button {
	grid-column: 1 / 3;
    background: #c09;
	color: #fff;
    font-size: 16px;
    border: 1px solid #aaa;
    padding: 4px 16px;
    display: flex;
    align-items: center;
    justify-content: center;
	gap: 16px;
	cursor: pointer;
}
button.attente{
	pointer-events: none;
	background:#cc009980;
	position: relative;
	overflow: hidden;
}
button.attente::before{
	content: "";
	width: 8px;
	position: absolute;
	background: #222;
	border-radius: 8px;
	top: 0;
	bottom: 0;
	left: 0;
	animation: zioum 0.6s alternate infinite ease-in-out;
}
@keyframes zioum {
	0%{transform: translateX(-10px)}
	100%{transform: translateX(440px)}
}